UPDATE project_floor_sub_item
SET delete_time=NOW(),
    note='同一单元号存在多条不同类型的数据'
WHERE obj_no IN (SELECT DISTINCT obj_no
                 FROM contract_unit
                 WHERE contract_code IN (
                                         'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                         'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                         'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                         'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                         'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                         'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                         'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                         'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                         'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                         'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                         'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                         'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                         'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                         'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                         'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                         'HT-XAS-ZAGJFZ-伍11-202212-1861'
                     ))
  AND uuid NOT IN (SELECT DISTINCT sub_item_uuid
                   FROM contract_unit
                   WHERE contract_code IN (
                                           'HT-XAS-ZAGJFZ-伍07-202211-1090',
                                           'HT-XAS-ZAGJFZ-伍08-202211-1125',
                                           'HT-XAS-ZAGJFZ-伍09-202211-1133',
                                           'HT-XAS-ZAGJFZ-伍10-202211-1138',
                                           'HT-XAS-ZAGJFZ-叁01-202211-1148',
                                           'HT-XAS-ZAGJFZ-壹01-202211-1159',
                                           'HT-XAS-ZAGJFZ-叁07-202211-1160',
                                           'HT-XAS-ZAGJFZ-叁08-202211-1176',
                                           'HT-XAS-ZAGJFZ-壹02-202211-1187',
                                           'HT-XAS-ZAGJFZ-壹03-202211-1194',
                                           'HT-XAS-ZAGJFZ-叁10-202211-1198',
                                           'HT-XAS-ZAGJFZ-贰01-202211-1203',
                                           'HT-XAS-ZAGJFZ-贰02-202211-1214',
                                           'HT-XAS-ZAGJFZ-贰06-202211-1218',
                                           'HT-XAS-ZAGJFZ-壹11-202211-1236',
                                           'HT-XAS-ZAGJFZ-伍11-202212-1861'
                       ))
LIMIT 16;